Update Contact

Update an existing contact. Supports partial updates. Updatable fields: - `name`: Contact's full name - `phones`: Array of contact phone numbers - `emails`: Array of contact email addresses - `title`: Contact title - `accountIds`: Array of account IDs to associate - `projectIds`: Array of project IDs to associate

Authentication

x-api-keystring
API Key authentication via header

Path parameters

contactIdstringRequired
Contact identifier

Request

This endpoint expects an object.
namestringOptional
Contact's full name
phoneslist of stringsOptional
List of contact phone numbers
emailslist of stringsOptional
List of contact email addresses
titlestringOptional
Contact title
accountIdslist of integersOptional
Account IDs to associate with the contact
projectIdslist of integersOptional
Project IDs to associate with the contact

Response

Contact updated successfully
namestring
Contact's full name
phoneslist of strings or null
List of contact phone numbers
emailslist of strings or null
List of contact email addresses
titlestring or null
Contact title
createdByUserobject or null
accountslist of objects or null
List of account objects
projectslist of objects or null
List of project objects

Errors